Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Interface TextElementArray

All Superinterfaces:
  Element

All Known Implementing Classes:
  Anchor, Cell, Chapter, ChapterAutoNumber, GreekList, IncCell, List, ListItem, Paragraph, Phrase, RomanList, RtfCell, Section, SimpleCell, SimpleTable, ZapfDingbatsList, ZapfDingbatsNumberList

    public interface TextElementArray

extends Element

Interface for a text element to which other objects can be added.

See Also:
  `Phrase`, `Paragraph`, `Section`, `ListItem`, `Chapter`, `Anchor`, `Cell`

Field Summary

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Method Summary
`boolean` | `add(Object o)` Adds an object to the `TextElementArray`.

Methods inherited from interface com.lowagie.text.Element
`getChunks, isContent, isNestable, process, toString, type`

Method Detail

### add

    boolean add(Object o)

  Adds an object to the `TextElementArray`.

  Parameters:
    `o` - an object that has to be added
  Returns:
    `true` if the addition succeeded; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD